Bug 970 - supplementary groups dependant on case sensitivity of username string in connect
supplementary groups dependant on case sensitivity of username string in connect
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.1
All Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 05:53 UTC by Gordon Grant
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Grant 2004-01-14 05:53:59 UTC
client is Mac OS X 10.3.2 (panther), latest Apple updates applied.
server is SAMBA 3.0.1 on SPARC Solaris 9.

When client connects to share, and gives username manually in uppercase (as if
the client default), then supplementary groups are not picked up. 

logfile:

...
[2004/01/14 12:21:22, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 1298
  Primary group is 1009 and contains 2 supplementary groups
  Group[  0]: 1009
  Group[  1]: 1009
...

If exactly the same share is connected to, but the (same) username is entered in
lowercase the problem goes away thus:

Logfile:

[2004/01/14 12:22:52, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 1298
  Primary group is 1009 and contains 7 supplementary groups
  Group[  0]: 1009
  Group[  1]: 1009
  Group[  2]: 1007
  Group[  3]: 1014
  Group[  4]: 1017
  Group[  5]: 1024
  Group[  6]: 1025

bug only observed using Mac OS X as client, *doesn't* happen with win2k clients.
Server is using LDAP to retreive uid's/gid's via nsswitch (Sun 'ldap' nss
backend).  LDAP NSS backend is independent of SAMBA.  Bug is reproducible with
different usernames.

SAMBA configure options:
--without-krb5 \
--without-included-popt \
--without-acl-support \
--without-libsmbclient \
--without-pam \
--without-ads \
--without-ldap \
--without-winbind
Comment 1 Gerald (Jerry) Carter 2004-01-14 09:13:33 UTC
This should already be fixed in 3.0.2pre1.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:55 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:31:18 UTC
database cleanup